Bug 132781 - FILESAVE DOCX Style names incorrectly saved when using an other UI than English UI (testes with Hungarian und German UI)
Summary: FILESAVE DOCX Style names incorrectly saved when using an other UI than Engli...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.3 release
Hardware: All All
: medium normal
Assignee: Tünde Tóth
URL:
Whiteboard: target:7.5.0 target:7.4.0.0.beta2
Keywords: implementationError
Depends on:
Blocks: DOCX-Paragraph
  Show dependency treegraph
 
Reported: 2020-05-06 15:25 UTC by NISZ LibreOffice Team
Modified: 2022-07-01 09:45 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example attachment #149484 saved with English UI (13.67 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-05-06 15:25 UTC, NISZ LibreOffice Team
Details
Example attachment #149484 saved with Hungarian UI (13.69 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-05-06 15:26 UTC, NISZ LibreOffice Team
Details
Screenshot of the two change tracked files in Word after rejecting changes (89.12 KB, image/png)
2020-05-06 15:26 UTC, NISZ LibreOffice Team
Details
Example attachment #154701 saved with English UI (4.33 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-05-06 15:27 UTC, NISZ LibreOffice Team
Details
Example attachment #154701 saved with Hungarian UI (4.37 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-05-06 15:27 UTC, NISZ LibreOffice Team
Details
Screenshot of the two custom hyperlink style file in Word after clicking on the links (81.52 KB, image/png)
2020-05-06 15:28 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-05-06 15:25:08 UTC
While checking some older bugs we noticed that the style names are saved in an interoperable way when the locale is English, but not when it is Hungarian.

Steps to reproduce:
    1. Open and save attachments from bug #123628 (attachment #149484 [details]) bug #126243 (attachment #152577 [details]) bug #127925 (attachment #154701 [details]) with English UI
    2. Do the same in Hungarian (perhaps others are affected too) UI
    3. Check the results in Word

Actual results:
Saved attachments work correctly in Word when they were saved in English UI, but not with Hungarian UI:
With attachment #149484 [details] and attachment #154701 [details] the hyperlink color changes in Word when clicked. But not with localized UI.
With attachment  #152577 [details] the tracked style change is retained and the second paragraph gets back its Heading 2 style when all the changes are rejected. But not with localized UI.

Expected results:
Style names are interoperable with localized Uis too.

LibreOffice details:
Verzió: 6.4.0.3 (x86)
Build az.: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU szálak: 4; OS: Windows 6.3 Build 9600; Felületmegjelenítés: alapértelmezett; VCL: win; 
Területi beállítások: hu-HU (hu_HU); Felület nyelve: hu-HU
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-05-06 15:25:40 UTC
Created attachment 160453 [details]
Example attachment #149484 [details] saved with English UI
Comment 2 NISZ LibreOffice Team 2020-05-06 15:26:02 UTC
Created attachment 160454 [details]
Example attachment  #149484 [details] saved with Hungarian UI
Comment 3 NISZ LibreOffice Team 2020-05-06 15:26:19 UTC
Created attachment 160455 [details]
Screenshot of the two change tracked files in Word after rejecting changes
Comment 4 NISZ LibreOffice Team 2020-05-06 15:27:27 UTC
Created attachment 160456 [details]
Example attachment  #154701 [details] saved with English UI
Comment 5 NISZ LibreOffice Team 2020-05-06 15:27:41 UTC
Created attachment 160457 [details]
Example attachment  #154701 [details] saved with Hungarian UI
Comment 6 NISZ LibreOffice Team 2020-05-06 15:28:02 UTC
Created attachment 160458 [details]
Screenshot of the two custom hyperlink style file in Word after clicking on the links
Comment 7 Dieter 2020-10-31 05:26:01 UTC
I confirm it with attachment #149484 [details] and attachment #152577 [details] with

Version: 7.0.2.2 (x64)
Build ID: 8349ace3c3162073abd90d81fd06dcfb6b36b994
CPU threads: 4; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: de-DE
Calc: threaded

and German UI

I couldn't confirm it with attachment #154701 [details] (odt-file).

Original bug report sometimes mixed up terminology (UI an Localization). I've always tested with same localisation (German) and different UI (English and German)
Comment 8 Commit Notification 2022-06-24 10:43:51 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0ad5d133bd75ccd3a04505aaac7ad3f2f9105f76

tdf#132781 DOCX: export interoperable hyperlink style names

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Tünde Tóth 2022-06-27 12:28:08 UTC
I fixed the hyperlink style names bug. This is a new bugreport for the attachment  #152577 [details]: https://bugs.documentfoundation.org/show_bug.cgi?id=149747
Comment 10 NISZ LibreOffice Team 2022-06-28 06:12:45 UTC
Verified in
Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 415dc3bb1c03dbdbc3cbca274bc435ac7557ba2d
CPU threads: 4; OS: Windows 10.0 Build 19042; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 11 Commit Notification 2022-07-01 09:45:44 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/0538861f641578149c4de84862b4acd574737908

tdf#132781 DOCX: export interoperable hyperlink style names

It will be available in 7.4.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.